using System.Collections;
using System.Collections.Generic;
using TMPro;
using UnityEngine;

public class Test : MonoBehaviour
{
    //public TMP_Text text;
    public Canvas canvas;
    private float time = 0;
    //ApiResponse apiResponse;

    //private void Start()
    //{
    //    NetworkManager.Instance.CreateRequest<ApiResponse>("api/test",new object(),(data) => {
    //        apiResponse = data;
    //    });
    //}
    //private void Start()
    //{
    //    WebGLInput.captureAllKeyboardInput = false;
    //}
    //void Update()
    //{
    //    time += Time.deltaTime;
    //    if(time > 2.0f)
    //    {
    //        time = 0;
    //        Debug.Log($"x : {canvas.transform.position.x}, y : {canvas.transform.position.y}");
    //    }
    //    //text.text = $"x : {canvas.transform.position.x}, y : {canvas.transform.position.y}\nip : {(apiResponse == null ? "null": apiResponse.test)}";
    
    //}
    //public class ApiResponse
    //{
    //    public string test;
    //}

}
